UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Explorer
Explorer
5,158 Views
Registered: ‎03-13-2014

Can't build latest kernel

Jump to solution

Hi,

 

I just downloaded the latest source from git linux-xlnx.git into a clean directory. Then I did the usual make ARCH=arm xilinx_zynq_defconfig followed by the make. But rather than building the kernel the configurator starts to run.

 

david@ubuntu:~/linux-xlnx$ make
scripts/kconfig/conf --silentoldconfig Kconfig
warning: (USB_ZYNQ_DR_OF) selects USB_ULPI which has unmet direct dependencies (USB_SUPPORT && (ARM || ARM64))
*
* Restart config...
*
*
* Linux/x86 3.18.0 Kernel Configuration
*
64-bit kernel (64BIT) [Y/n/?] (NEW) ^Cmake[2]: *** [silentoldconfig] Interrupt
make[1]: *** [silentoldconfig] Interrupt

 

Then I cntrl-C to stop it. Seems 3.18 does not work, my earlier version 3.13 still builds so I don't think I am doing anything wrong.

 

Dave

0 Kudos
1 Solution

Accepted Solutions
Explorer
Explorer
8,809 Views
Registered: ‎03-13-2014

Re: Can't build latest kernel

Jump to solution

It works now, seems the shell has to be bash. Changed to bash and it works. Note that previous version seemed to work with different shell

View solution in original post

0 Kudos
2 Replies
Xilinx Employee
Xilinx Employee
5,142 Views
Registered: ‎03-13-2012

Re: Can't build latest kernel

Jump to solution

I don't see that problem. The master branch@c31fb6b07d3a builds just fine for me using the defconfig. Could you provide more details of what you're doing?

0 Kudos
Explorer
Explorer
8,810 Views
Registered: ‎03-13-2014

Re: Can't build latest kernel

Jump to solution

It works now, seems the shell has to be bash. Changed to bash and it works. Note that previous version seemed to work with different shell

View solution in original post

0 Kudos